<?php
// I'm a little bit confused about which header should go here.
// See http://php.net/manual/fr/function.header.php...
header("Expires: Mon, 01 Jan 2001 00:00:00 GMT");
header("Last-Modified: ".date("r"));
header("Cache-Control: no-cache, must-revalidate");
header("Pragma: no-cache");

$pathToBlog = "../../";
require_once($pathToBlog."utils/entities/user.php");

$author = $_POST["author"];
$email = $_POST["email"];

$user = NULL;

$dir = opendir($pathToBlog."admin/users_infos/");
while (($file = readdir($dir)) !== FALSE) {
  if ($file[0] == '.') continue;
  $tmpUser = User::fromFile($pathToBlog."admin/users_infos/".$file);
  if ($tmpUser->getAuthor() == $author || $tmpUser->getEmail() == $email) {
    $user = $tmpUser;
    break;
  }
}
closedir($dir);
?>

<!DOCTYPE html>

<html>
<head>
  
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
  <meta http-equiv="Cache-Control" content="no-cache"> 
  <meta http-equiv="Pragma" content="no-cache"> 
  <meta http-equiv="Expires" content="0">
  
  <title>Reset password</title>
  
  <link href="../style/shared.css" rel="stylesheet" type="text/css"/>
  <link href="../style/access.css" rel="stylesheet" type="text/css"/>
  
  <script type="text/javascript">
    var author = "<?php echo $user != NULL ? $user->getAuthor() : "unused"; ?>";
  </script>
  
  <?php include($pathToBlog."admin/style/variables.js"); ?>
  <script src="../../javas/widths.js" type="text/javascript"></script>
  <script src="../../javas/sha1.js" type="text/javascript"></script>
  <script src="./reset_pwd.ajax.js" type="text/javascript"></script>
</head>

<body onLoad="adjustWidths();document.onkeydown=handleKeys">

<div id="main">

  <div id="title">
    <span id="mainTitle">Reset password</span>
  </div>
  
  <div id="text"> 

    <div id="innerText">

<?php
if ($user != NULL) {
  echo "<form id='accessForm' name='accessForm'>
        
        <p>
          Please answer your secret question.
        </p>
        
        <p>
          <label for='question'>Secret question</label><br/>
          <input type='text' class='textField' id='question' name='question' readonly='readonly'
          value='".$user->getQuestion()."'/>
        </p>
        
        <p>
          <label for='answer'>Secret answer</label><br/>
          <input type='password' class='passwordField' id='answer' name='answer'/>
        </p>

      </form>
      
      <div id='validateAccess' class='validate'>
        
        <p>
          <input type='button' class='validateButton' value='Submit' onClick='resetPassword(\"".$author."\")'/>
        </p>
        
        <p>
          <span id='warner' class='warner'>Placeholder.</span>
        </p>
        
        <p>
          <span id='notifier' class='notifier'>Placeholder.</span>
        </p>
        
        <p id='backToLogin'>
          <a href='".$pathToBlog."admin/access/login.php'>
            <input type='button' class='actionButton' value='Login page'/>
          </a>
        </p>
      
      </div>\n";
}

else {
  echo "<p>User not found.</p>\n";
}
?>
      
    </div>
    
  </div>
  
  <div id="footer">
  <?php include($pathToBlog."admin/elems/footer"); ?>
  </div>
  
  <div class="clearer"> </div> 
  
</div>

</body>

</html>
