function changeElements() {
  
  var xhr = getXHR();
  if (xhr == null) {
    alert("Your browser does not support AJAX");
    return;
  }
  
  xhr.onreadystatechange = function() {
    if (xhr.readyState == 4 && xhr.status == 200) {
      var notifier = document.getElementById("notifier");
      notifier.innerHTML = "Updated !";
      notifier.style.visibility = "visible";
      window.setTimeout(setNotifierInvisible, 2000);
    }
  };
  
  var form = document.forms.editElemsForm;
  xhr.open("POST", "./index.ajax.php", true);    
  xhr.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
  xhr.send("elemsText=" + form.elemsText.value +
           "&withmath=" + (form.hasMathBox.checked ? "true" : "false") +
           "&withcode=" + (form.hasCodeBox.checked ? "true" : "false"));
}

var setNotifierInvisible = function() {
  document.getElementById("notifier").style.visibility = "hidden";
}

function resetToSample() {
  
  var xhr = getXHR();
  if (xhr == null) {
    alert("Your browser does not support AJAX");
    return;
  }
  
  xhr.onreadystatechange = function() {
    if (xhr.readyState == 4 && xhr.status == 200) {
      var elemsText = document.getElementById("elemsText");
      elemsText.rows = xhr.responseText.split("\n").length + 1;
      elemsText.value = xhr.responseText;
    }
  }; 
  
  xhr.open("GET", "./sample.ajax.php", true);    
  xhr.send();
}

function getXHR() {

  var xhr = null; 
  if (window.XMLHttpRequest) xhr = new XMLHttpRequest();
  else if (window.ActiveXObject) { // (old) Internet Explorer 
    try {xhr = new ActiveXObject("Msxml2.XMLHTTP");}
    catch (e) {xhr = new ActiveXObject("Microsoft.XMLHTTP");}
  }
  return xhr;
}
