<?php

$pathToBlog = "../../";

require_once($pathToBlog."admin/access/check_user.php");
checkUser($pathToBlog, "../");

require_once($pathToBlog."utils/parsing/parse_admin.php");

//get and print the samples (simplified HTML, no need to unparse):
$sampleTitle = implode("", file($pathToBlog."elems/sample/title"));
$sampleTitle = ParseAdmin::untransformText($sampleTitle);

$sampleSubtitle = implode("", file($pathToBlog."elems/sample/subtitle"));
$sampleSubtitle = ParseAdmin::untransformText($sampleSubtitle);

$sampleMenu = implode("", file($pathToBlog."elems/sample/menu"));
$sampleMenu = ParseAdmin::untransformText($sampleMenu);

$sampleFooter = implode("", file($pathToBlog."elems/sample/footer"));
$sampleFooter = ParseAdmin::untransformText($sampleFooter);

echo "<title>\n";
echo $sampleTitle."\n";
echo "</title>\n\n";

echo "====================\n\n";

echo "<subtitle>\n";
echo $sampleSubtitle."\n";
echo "</subtitle>\n\n";

echo "====================\n\n";

echo "<menu>\n";
echo $sampleMenu."\n";
echo "</menu>\n\n";

echo "====================\n\n";

echo "<footer>\n";
echo $sampleFooter."\n";
echo "</footer>\n";

?>
