function changeSettings() {

  var form = document.forms.editSettingsForm;
  var maxPostsBlog = form.maxPostsBlog.value;
  var maxLastPosts = form.maxLastPosts.value;
  var maxPostsAdmin = form.maxPostsAdmin.value;
  var maxRssItems = form.maxRssItems.value;
  var warner = document.getElementById("warner");
  
  if (isNaN(maxPostsBlog) || isNaN(maxLastPosts) || isNaN(maxPostsAdmin) || isNaN(maxRssItems)) {
    warner.innerHTML = "Please enter only numbers.";
    warner.style.visibility = "visible";
    return;
  }
  if (maxPostsBlog <= 0 || maxLastPosts <= 0 || maxPostsAdmin <= 0 || maxRssItems <= 0) {
    warner.innerHTML = "Please enter strictly positive values.";
    warner.style.visibility = "visible";
    return;
  }
  
  var xhr = null;
  if (window.XMLHttpRequest) xhr = new XMLHttpRequest();
  else if (window.ActiveXObject) { // (old) Internet Explorer 
    try {xhr = new ActiveXObject("Msxml2.XMLHTTP");}
    catch (e) {xhr = new ActiveXObject("Microsoft.XMLHTTP");}
  }
  
  if (xhr == null) {
    alert("Your browser does not support AJAX");
    return;
  }
  
  xhr.onreadystatechange = function() {
    if (xhr.readyState == 4 && xhr.status == 200) {
      var notifier = document.getElementById("notifier");
      notifier.innerHTML = "Updated !";
      notifier.style.visibility = "visible";
      window.setTimeout(setNotifierInvisible, 2000);
    }
  };
  
  xhr.open("POST", "./index.ajax.php", true);    
  xhr.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
  xhr.send("maxpostsblog="+maxPostsBlog+"&maxlastposts="+maxLastPosts+
           "&maxpostsadmin="+maxPostsAdmin+"&maxrssitems="+maxRssItems);
}

var setNotifierInvisible = function() {
  document.getElementById("notifier").style.visibility = "hidden";
}
