<?php

$pathToBlog = "../../";

require_once($pathToBlog."admin/access/check_user.php");
checkUser($pathToBlog, "../");

$pathToTheme = $_GET["pathtotheme"];

$archiveName = strrchr(substr($pathToTheme, 0, strlen($pathToTheme)-1), '/');
$archiveName = substr($archiveName, 1).".zip";

// Use temp directory
$archiveFullName = $pathToBlog."temp/".$archiveName;

// Maybe retrieve cached result
if (!file_exists($archiveFullName)) {

  $zip = new ZipArchive();
  if ($zip->open($archiveFullName, ZIPARCHIVE::CREATE) !== TRUE) {
    exit("Cannot create <$archiveName>. Please try again later.");
  }
  
  // Compose zip archive by scanning theme files
  $dir = opendir($pathToTheme);
  while (($file = readdir($dir)) !== FALSE) {
    if ($file[0] != '.') $zip->addFile($pathToTheme.$file, $file);
  }
  closedir($dir);
  $zip->close();
  
}

//finally send the headers to force download the zip file
header("Content-Description: File Transfer");
header("Content-Disposition: attachment; filename=$archiveName");
header("Content-Type: application/zip");
header("Content-Transfer-Encoding: binary");
readfile($archiveFullName);

?>
