<?php

/// Replace theme by user selected theme (.css files)

$pathToBlog = "../../";

require_once($pathToBlog."admin/access/check_user.php");
checkUser($pathToBlog, "../");

require_once("./reinit_jsvars.php");

$mode = $_POST["mode"];
$pathToTheme = $_POST["path"];
$pathToStyle = $mode == "blog"
  ? "../../style/"
  : "../style";

// copy all files (overwrite current ones)
$dir = opendir($pathToTheme);
while (($file = readdir($dir)) !== FALSE) {
  if ($file[0] != '.') {
    copy($pathToTheme.$file, $pathToStyle.$file);
  }
}
closedir($dir);

// update javascript (style) variables
ReinitJsvars::run($mode);

?>
