<?php

$pathToBlog = "../../../";

require_once($pathToBlog."utils/manage_keywords.php");
include($pathToBlog."search/keywords.php");

$prefix = $_GET["prefix"];

$backKeyword = "";
if (strpos($prefix, "/") != FALSE) {
  $backKeyword = strstr($prefix, "/", TRUE);
}

$keywordsArray = new KeywordsArray($RANKED_KEYWORDS);
$keywordsArray->rearrange(SortOrder::NUMERIC);
$currentKeywords = $keywordsArray->getArray();

$token = strtok($prefix, "/");
while ($token !== FALSE) {
  $currentKeywords = $currentKeywords[$token]["suba"];
  $token = strtok("/");
}

// TODO: better display (as a hierarchy...)
foreach ($currentKeywords as $key => $vals) {
  if ($prefix != "") {
    // previous level of keyword hierarchy
    echo "<input type='button' value='<<' onClick='listKeywords(\"".$backKeyword."\")'/>";
  }
  echo "<span class='keyword' onClick='appendKeyword(\"".keywordDisplay($prefix, $key)."\")'>".$key."</span>";
  if (count($vals["suba"]) > 0) {
    // next level of keyword hierarchy [may not be available, thus the test]
    echo "<input type='button' value='>>' onClick='listKeywords(\"".keywordDisplay($prefix, $key)."\")'/>";
  }
  echo "<br/>\n";
}

function keywordDisplay($prefix, $word) {
  if (strlen($prefix) > 0) return $prefix."/".$word;
  return $word;
}

?>
