<?php

$pathToBlog = "../../../";

require_once($pathToBlog."admin/access/check_user.php");
checkUser($pathToBlog, "../../");

require($pathToBlog."utils/entities/trackback.php");

$blogTitle = implode("", file($pathToBlog."elems/title"));
$blog_name = trim($blogTitle, " \n\t"); // the main blog title

$title = $_POST["title"];
$url = $_POST["url"];
$excerpt = $_POST["excerpt"];
$link = $_POST["link"];

$trackback = new Trackback(0, $url, $title, $blog_name, $excerpt);

// search for trackback URL
$tbs = Trackback::auto_discovery($link); // $link == URL to ping

if (count($tbs) == 0) exit("failure");

// try for every potential target...
foreach ($tbs as $tb) {
  $tryPing = $trackback->ping($tb);
  if ($tryPing == "success") exit("success");
}

// we ran through all potential pings, but no one worked.
echo "failure";

?>
