<?php

header("content-type: text/xml");

$pathToBlog = "../";

require_once($pathToBlog."utils/entities/post.php");
require_once($pathToBlog."utils/entities/url_params.php");
require_once($pathToBlog."utils/entities/comment.php");
require_once($pathToBlog."search/scan_threads.php");

// get params
$searchTo = $_GET["searchto"];
$numResults = $_GET["numresults"];
$text = $_GET["text"];
$searchInPosts = $_GET["searchinposts"] == "TRUE";
$searchInTitles = $_GET["searchintitles"] == "TRUE";
$searchInKeywords = $_GET["searchinkeywords"] == "TRUE";
$searchInComments = $_GET["searchincomments"] == "TRUE";

$results = ScanTime::getThreadsRange($text, $searchTo, $numResults, $searchInPosts, $searchInTitles, $searchInKeywords, $searchInComments);

$output = "<?xml version='1.0' encoding='UTF-8'?>\n";
$output .= "<response>\n";

// print XML aggregated result

// search results
foreach ($results["search"] as $key => $val) {
  $post = Post::fromFile($pathToBlog.DataUrlParams::fromUrl($key, ObjType::POST)->toUrl(UrlType::FILE));
  $permalink = $pathToBlog.ArxivUrlParams::fromUrl($key)->toUrl();
  $output .= "<searchResult>\n";
  $output .= "<permalink>".$permalink."</permalink>\n";
  $output .= "<postTitle>".$post->getTitle()."</postTitle>\n";
  $output .= "<countMatches>".$val."</countMatches>\n";
  $output .= "</searchResult>\n";
}

$output .= "<navigatePage>\n";
// [next]EndDate variable update
$output .= "<endDate>".$results["enddate"]."</endDate>\n";
// 'movePage' div
$morePosts = ScanTime::checkMoreThreads($text, $results["enddate"], $searchInPosts, 
                                        $searchInTitles, $searchInKeywords, $searchInComments) 
              ? "true" 
              : "false";
$output .= "<morePosts>".$morePosts."</morePosts>\n";
$output .= "</navigatePage>\n";

$output .= "</response>\n";

echo $output;

?>
