<?php
// I'm a little bit confused about which header should go here.
// See http://php.net/manual/fr/function.header.php...
header("Expires: Mon, 01 Jan 2001 00:00:00 GMT");
header("Last-Modified: ".date("r"));
header("Cache-Control: no-cache, must-revalidate");
header("Pragma: no-cache");

$pathToBlog = "../../";

$pathBack = "../"; // default: admin panel
if (isset($_GET["pathback"])) {
  $pathBack = $_GET["pathback"];
}
?>

<!DOCTYPE html>

<html>
<head>

  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
  <meta http-equiv="Cache-Control" content="no-cache"> 
  <meta http-equiv="Pragma" content="no-cache"> 
  <meta http-equiv="Expires" content="0">

  <title>Password access</title>
  
  <link href="../style/shared.css" rel="stylesheet" type="text/css"/>
  <link href="../style/access.css" rel="stylesheet" type="text/css"/>
  
  <script type="text/javascript">
    var pathBack = "<?php echo $pathBack; ?>";
  </script>
  
  <?php include("../style/variables.js"); ?>
  <script src="../../javas/widths.js" type="text/javascript"></script>
  <script src="../../javas/sha1.js" type="text/javascript"></script>
  <script src="./login.ajax.js" type="text/javascript"></script>

</head>

<body onLoad="adjustWidths();document.onkeydown=handleKeys">
  
<div id="main">

  <div id="title">
    <span id="mainTitle">Password access</span>
  </div>
  
  <div id="text"> 

    <div id="innerText">

      <form id="accessForm" name="accessForm">
        
        <p>
          <label for="author">Login</label><br/>
          <input type="text" class="textField" id="author" name="author"/>
        </p>
        
        <p>
          <label for="password">Password</label><br/>
          <input type="password" class="passwordField" id="password" name="password"/>
        </p>

        <p>
          <a href="./forgotten_id.php"><input type="button" class="actionButton" value="Forgotten identifiers"/></a>
        </p>
        
      </form>
      
      <div class="validate" id="validateAccess">
        
        <p>
          <input type="button" class="validateButton" value="Submit" onClick="validateAccess()"/>
        </p>
        
        <p>
          <span id="warner" class="warner">Placeholder.</span>
        </p>
        
      </div>
      
    </div>
    
  </div>
  
  <div id="footer">
  <?php include($pathToBlog."admin/elems/footer"); ?>
  </div>
  
  <div class="clearer"> </div> 
  
</div>

</body>

</html>
