function resetPassword(author) {
  
  var xhr = null;
  if (window.XMLHttpRequest) xhr = new XMLHttpRequest();
  else if (window.ActiveXObject) { // (old) Internet Explorer 
    try {xhr = new ActiveXObject("Msxml2.XMLHTTP");}
    catch (e) {xhr = new ActiveXObject("Microsoft.XMLHTTP");}
  }
  
  if (xhr == null) {
    alert("Your browser does not support AJAX");
    return;
  }
  
  xhr.onreadystatechange = function() {
    if (xhr.readyState == 4 && xhr.status == 200) {
      if (xhr.responseText.length > 0) { // TODO: use responseXML instead
        var warner = document.getElementById("warner");
        warner.innerHTML = xhr.responseText;
        warner.style.visibility = "visible";
      }
      else {
        document.getElementById("warner").style.visibility = "hidden";
        document.getElementById("backToLogin").style.visibility = "visible";
        var notifier = document.getElementById("notifier");
        notifier.innerHTML = "New password sent !";
        notifier.style.visibility = "visible";
        window.setTimeout(setNotifierInvisible, 2000);
      }
    }
  };
  
  var question = document.forms.accessForm.question.value;
  var answer = document.forms.accessForm.answer.value;
  var secret1 = sha1(question + "%" + answer);
  
  xhr.open("POST", "./reset_pwd.ajax.php", true);
  xhr.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
  xhr.send("author="+author+"&secret1="+secret1);
}

var setNotifierInvisible = function() {
  document.getElementById("notifier").style.visibility = "hidden";
}

function handleKeys(evt) {
  
  evt = (evt) ? evt : ((window.event) ? event : null);
  if (evt) {
    if (evt.keyCode == 13) {
      // 'enter' pressed: resetPassword (function above)
      resetPassword();
    }
  }
}
