<?php

$pathToBlog = "../../";

require_once($pathToBlog."utils/entities/user.php");

$author = $_POST["author"];
$secret1 = $_POST["secret1"];

$user = User::fromFile($pathToBlog."admin/users_infos/".$author);
$secret2 = sha1($user->getSalt().$secret1);
if ($user->getSecret2() != $secret2) exit("Wrong answer.");

// generate a new password of length 10
$password = "";
for ($i=0; $i<10; $i++) {
  $chooseType = rand()%2;
  if ($chooseType == 0) {
    // letter
    $password .= chr(97 + rand(0, 25)); // 65 if upper case
  }
  else {
    // digit:
    $password .= rand(0, 9);
  }
}

// also a new salt
$salt = uniqid();
$encrypted2 = sha1($salt.sha1($author."%".$password));
$secret2 = sha1($salt.$secret1);

// update user infos and save them
$user->setSalt($salt);
$user->setEncrypted2($encrypted2);
$user->setSecret2($secret2);
$user->toFile($pathToBlog."admin/users_infos/".$author);

// send new password by email (text, no need for HTML)

$boundary = "-----=".md5(rand());
$serverName = $_SERVER['HTTP_HOST'];
$leftPartServerName = strstr($serverName, ".", TRUE);

$header = "From: \"$serverName\"<$leftPartServerName@$serverName>\n";
$header.= "Reply-to: \"$serverName\" <noreply@$serverName>\n";
$header.= "MIME-Version: 1.0\n";
$header.= "Content-Type: text/plain;\n";
$header .= "boundary=\"$boundary\"\n";

$subject = "Password reset from your siyen blog.";

$message = "User name: $author\n";
$message .= "New password: $password";

mail($user->getEmail(), $subject, $message, $header);

?>
