<?php

/// Replace title, menu and footer by user's fields.

$pathToBlog = "../../";

require_once($pathToBlog."admin/access/check_user.php");
checkUser($pathToBlog, "../");

require_once($pathToBlog."utils/parsing/parse_admin.php");
require_once($pathToBlog."utils/parsing/syntax_highlighter.php"); // always load, in case of

$elemsText = $_POST["elemsText"];

// 'HACK': set flags
$flags = fopen($pathToBlog."elems/flags", 'w');
fwrite($flags, $_POST["withcode"]."\n");
fwrite($flags, $_POST["withmath"]."\n");
fclose($flags);

$title = "";
$subtitle = "";
$menu = "";
$footer = "";

$startIndex = 0;
$endIndex = 0;

$startIndex = strpos($elemsText, "<title>");
if ($startIndex >= 0) {
  $endIndex = strpos($elemsText, "</title>", $startIndex);
  $title = substr($elemsText, $startIndex + 7, $endIndex - $startIndex - 7);
}

$startIndex = strpos($elemsText, "<subtitle>");
if ($startIndex >= 0) {
  $endIndex = strpos($elemsText, "</subtitle>", $startIndex);
  $subtitle = substr($elemsText, $startIndex + 10, $endIndex - $startIndex - 10);
}

$startIndex = strpos($elemsText, "<menu>");
if ($startIndex >= 0) {
  $endIndex = strpos($elemsText, "</menu>", $startIndex);
  $menu = substr($elemsText, $startIndex + 6, $endIndex - $startIndex - 6);
}

$startIndex = strpos($elemsText, "<footer>");
if ($startIndex >= 0) {
  $endIndex = strpos($elemsText, "</footer>", $startIndex);
  $footer = substr($elemsText, $startIndex + 8, $endIndex - $startIndex - 8);
}

// get un-parsed elements (with tags like <b>, <i>, ..etc), and parse them
$title = ParseAdmin::transformText($title);
$subtitle = ParseAdmin::transformText($subtitle);
$menu = ParseAdmin::transformText($menu);
$footer = ParseAdmin::transformText($footer);

$writer = fopen($pathToBlog."elems/title", 'w');
fwrite($writer, trim($title, " \n\t"));
fclose($writer);

$writer = fopen($pathToBlog."elems/subtitle", 'w');
fwrite($writer, trim($subtitle, " \n\t"));
fclose($writer);

$writer = fopen($pathToBlog."elems/menu", 'w');
fwrite($writer, trim($menu, " \n\t"));
fclose($writer);

$writer = fopen($pathToBlog."elems/footer", 'w');
fwrite($writer, trim($footer, " \n\t"));
fclose($writer);

?>
