<?php

/// Recursively remove all data (posts, comments, ...) and all keywords

$pathToBlog = "../";

function rrmdir($dir) {
  if (is_dir($dir)) {
    $objects = scandir($dir);
    foreach ($objects as $object) {
      if ($object != "." && $object != "..") {
        if (filetype($dir."/".$object) == "dir") rrmdir($dir."/".$object);
        else unlink($dir."/".$object);
      }
    }
    rmdir($dir);
  }
}

rrmdir($pathToBlog."data/");
mkdir($pathToBlog."data/"); // recreate the directory !

// also erase all keywords
$keywordsFile = fopen($pathToBlog."search/keywords.php", 'w');
fwrite($keywordsFile, "<?php \$RANKED_KEYWORDS = array(\n");
fwrite($keywordsFile, "); ?>\n");
fclose($keywordsFile);

// and last_entries for RSS feed
$lastPostsFile = fopen($pathToBlog."rss_feed/last_entries.php", 'w');
fwrite($lastPostsFile, "<?php \$LAST_ENTRIES = array(\n");
fwrite($lastPostsFile, "); ?>\n");
fclose($lastPostsFile);

// NOTE: rss.xml will be reset only after next post writing.
// This allows a late recovery if reset was done accidentally,
// and like this we don't have to hack the refresh method (to take no url).

?>
