function upsertUser() {
  
  var form = document.forms.upsertUserForm;
  var author = form.author.value;
  var email = form.email.value;
  var firstName = form.firstName.value;
  var lastName = form.lastName.value;
  var password1 = form.password1.value;
  var password2 = form.password2.value;
  var question = form.question.value;
  var answer1 = form.answer1.value;
  var answer2 = form.answer2.value;
  var warner = document.getElementById("warner");
  
  if (password1.length == 0 || password1 != password2) {
    warner.innerHTML = "Empty or not matching passwords.";
    warner.style.visibility = "visible";
    return;
  }
  if (answer1.length == 0 || answer1 != answer2) {
    warner.innerHTML = "Empty or not matching answers.";
    warner.style.visibility = "visible";
    return;
  }
  
  var xhr = null; 
  if (window.XMLHttpRequest) xhr = new XMLHttpRequest();
  else if (window.ActiveXObject) { // (old) Internet Explorer 
    try {xhr = new ActiveXObject("Msxml2.XMLHTTP");}
    catch (e) {xhr = new ActiveXObject("Microsoft.XMLHTTP");}
  }
  
  if (xhr == null) {
    alert("Your browser does not support AJAX");
    return;
  }
  
  xhr.onreadystatechange = function() {
    if (xhr.readyState == 4 && xhr.status == 200) {
      if (xhr.responseText != "") {
        warner.innerHTML = xhr.responseText;
        warner.style.visibility = "visible";
      }
      else {
        warner.style.visibility = "hidden";
        var notifier = document.getElementById("notifier");
        notifier.innerHTML = notification;
        notifier.style.visibility = "visible";
        window.setTimeout(setNotifierInvisible, 2000);
      }
    }
  };
  
  var encrypted1 = sha1(author + "%" + password1);
  var secret1 = sha1(question + "%" + answer1);
  xhr.open("POST", "./index.ajax.php", true);    
  xhr.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
  xhr.send("author="+author+"&encrypted1="+encrypted1+"&email="+email+
           "&firstname="+firstName+"&lastname="+lastName+"&secret1="+secret1+"&question="+question);
}

var setNotifierInvisible = function() {
  document.getElementById("notifier").style.visibility = "hidden";
}
