<?php
// I'm a little bit confused about which header should go here.
// See http://php.net/manual/fr/function.header.php...
header("Expires: Mon, 01 Jan 2001 00:00:00 GMT");
header("Last-Modified: ".date("r"));
header("Cache-Control: no-cache, must-revalidate");
header("Pragma: no-cache");

$pathToBlog = "../../";

require_once($pathToBlog."admin/access/check_user.php");
$currentUser = checkUser($pathToBlog, "../edit_user/");

$mode = $_GET["mode"];
?>

<!DOCTYPE HTML>

<html>

<head>

  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
  <meta http-equiv="Cache-Control" content="no-cache">
  <meta http-equiv="Pragma" content="no-cache"> 
  <meta http-equiv="Expires" content="0">
  
  <title>Upsert user</title>
  
  <link href="../style/shared.css" rel="stylesheet" type="text/css"/>
  <link href="../style/user_upsert.css" rel="stylesheet" type="text/css"/>
  
  <script type="text/javascript">
    var notification = "<?php echo $mode == "edit" ? "Updated !" : "Created !"; ?>";
  </script>
  
  <?php include($pathToBlog."admin/style/variables.js"); ?>
  <script src="../../javas/widths.js" type="text/javascript"></script>
  <script src="../../javas/sha1.js" type="text/javascript"></script>
  <script src="./index.ajax.js" type="text/javascript"></script>
	
</head>

<body onLoad="adjustWidths()">

  <div id="main">
  
    <div id="title">
      <span id="mainTitle"> <?php echo $mode == "edit" ? "Update user" : "Create user"; ?> </span>
    </div>
    
    <div id="text"> 

      <div id="innerText">

        <div id="upsertUser">

          <form id="upsertUserForm" name="upsertUserForm">
          
            <p>
              <label for="author">Author name (required)</label><br/>
              <input type="text" class="textField" id="author" name="author" cols="40"
                <?php if ($mode == "edit") echo "value='".$currentUser->getAuthor()."' readonly='readonly'"; ?>
               />
            </p>
            
            <p>
              <label for="email">E-mail (required)</label><br/>
              <input type="text" class="textField" id="email" name="email" cols="40"
                <?php if ($mode == "edit") echo "value='".$currentUser->getEmail()."'"; ?>
              />
            </p>
            
            <p>
              <label for="firstName">First name (optional)</label><br/>
              <input type="text" class="textField" id="firstName" name="firstName" cols="40"
                <?php if ($mode == "edit") echo "value='".$currentUser->getFirstName()."'"; ?>
              />
              <br/>
              <label for="firstName">Last name (optional)</label><br/>
              <input type="text" class="textField" id="lastName" name="lastName" cols="40"
                <?php if ($mode == "edit") echo "value='".$currentUser->getLastName()."'"; ?>
              />
            </p>
            
            <p>
              <label for="password1" name="password1">Password (required)</label><br/>
              <input type="password" class="passwordField" id="password1" name="password1" cols="40"/>
              <br/>
              <label for="password2" name="password2">Password (again !)</label><br/>
              <input type="password" class="passwordField" id="password2" name="password2" cols="40"/>
            </p>
            
            <p>
              <label for="question">Secret question (required)</label><br/>
              <input type="text" class="textField" id="question" name="question" cols="40"
                <?php if ($mode == "edit") echo "value='".$currentUser->getQuestion()."'"; ?>
              />
              <br/>
              <label for="answer1">Secret answer (required)</label><br/>
              <input type="password" class="passwordField" id="answer1" name="answer1" cols="40"/>
              <br/>
              <label for="answer2">Secret answer (again !)</label><br/>
              <input type="password" class="passwordField" id="answer2" name="answer2" cols="40"/>              
            </p>
            
          </form>
        
        </div>
        
        <div class="validate" id="validateUserInfos">
        
          <p>
            <input type="button" class="validateButton" value="Send informations" onClick="upsertUser()"/>
          </p>
        
<?php
if ($mode == "create") {
  echo "<p>\n";
  echo "<a href='../'><input type='button' class='actionButton' value='Admin panel'/></a>\n";
  echo "</p>\n";
}
?>
          
          <p>
            <span id="warner" class="warner">Placeholder.</span>
          </p>
          
          <p>
            <span id="notifier" class="notifier">Placeholder.</span>
          </p>
        
        </div>
      
      </div>
      
    </div>
    
    <div id="footer">
    <?php include($pathToBlog."admin/elems/footer"); ?>
    </div>
    
    <div id="clearer"> </div> 

  </div>

</body>

</html>
