// TODO: everything in PHP from 'localtime()' ?
function getLocalTime() {
  
  var localDate = new Date();
  
  var year = localDate.getFullYear();
  var month = localDate.getMonth() + 1;
  if (month < 10) month = "0" + month;
  var day = localDate.getDate();
  if (day < 10) day = "0" + day;
  
  var dayDate = year + "-" + month + "-" + day;
  
  var hours = localDate.getHours();
  if (hours < 10) hours = "0" + hours;
  var minutes = localDate.getMinutes();
  if (minutes < 10) minutes = "0" + minutes;
  
  var dayHour = hours + ":" + minutes;
  
  var offsetFromUTC = localDate.getTimezoneOffset() / 60;
  var timeZone = "UTC";
  if (offsetFromUTC != 0) {
    if (offsetFromUTC < 0) {
      // HACK: '+' is misinterpreted as string concatener; therefore use %2B
      timeZone += "%2B";
    }
    timeZone += -offsetFromUTC;
  }
  
  return dayDate + " at " + dayHour + ", " + timeZone;
}
