var xhr;

//if next results: startId may be > 0; if prev results, endId may be > 0
function searchForText() {
  
  xhr = null; 
  if (window.XMLHttpRequest) xhr = new XMLHttpRequest();
  else if (window.ActiveXObject) { // (old) Internet Explorer 
    try {xhr = new ActiveXObject("Msxml2.XMLHTTP");}
    catch (e) {xhr = new ActiveXObject("Microsoft.XMLHTTP");}
  }

  if (xhr == null) {
    alert("Your browser does not support AJAX");
    return;
  }
  
  xhr.onreadystatechange = showSearchResults;
  
  var form = document.forms.searchParamsForm;
  var searchInPosts = document.getElementById("checkboxPosts").checked;
  var searchInTitles = document.getElementById("checkboxTitles").checked;
  var searchInComments = document.getElementById("checkboxComments").checked;
  var searchInKeywords = document.getElementById("checkboxKeywords").checked;
  
  var formEndDate = form.searchTillWhen.value;
  if (formEndDate != endDate.substring(0, 10)) formEndDate += ":0";
  else formEndDate += ":" + endDate.substring(11, endDate.length);
  
  var params = "?searchinposts=" + (searchInPosts ? "TRUE" : "FALSE") + 
               "&searchintitles=" + (searchInTitles ? "TRUE" : "FALSE") + 
               "&searchinkeywords=" + (searchInKeywords ? "TRUE" : "FALSE") + 
               "&searchincomments=" + (searchInComments ? "TRUE" : "FALSE") + 
               "&text=" + form.searchText.value + 
               "&searchto=" + formEndDate + 
               "&numresults=" + form.resultsPerPage.value;
  xhr.open("GET", "./index.ajax.php" + params, true); //+ params
  xhr.send();
}

function showSearchResults() {
  
  if (xhr.readyState == 4 && xhr.status == 200) {

    // fill result page with XML response
    var searchResultsDiv = document.getElementById("searchResults");
    var searchResults = xhr.responseXML.documentElement.getElementsByTagName("searchResult");
    for (var i=0; i<searchResults.length; i++) {
      var resultDiv = document.createElement("div");
      resultDiv.setAttribute("class", "searchResult");
      var permalink = searchResults[i].getElementsByTagName("permalink")[0].firstChild.nodeValue;
      var postTitle = searchResults[i].getElementsByTagName("postTitle")[0].firstChild.nodeValue;
      var countMatches = searchResults[i].getElementsByTagName("countMatches")[0].firstChild.nodeValue;
      resultDiv.innerHTML = "<div class='searchResult'><a href='" + permalink + "'>" + postTitle + "</a> | " + countMatches + " matches</div>";
      searchResultsDiv.appendChild(resultDiv);
    }

    // endDate = current threshold (upper bound) date.
    // nextEndDate = next upper bound threshold
    // prevEndDate = previous upper bound threshold
    var responseNavigateDiv = xhr.responseXML.documentElement.getElementsByTagName("navigatePage");
    var tmpNextEndDate = responseNavigateDiv[0].getElementsByTagName("endDate")[0].firstChild.nodeValue;
    var morePostsBefore = prevEndDate != endDate;
    var morePostsAfter = responseNavigateDiv[0].getElementsByTagName("morePosts")[0].firstChild.nodeValue == "true";

    prevEndDate = endDate;
    endDate = nextEndDate;
    nextEndDate = tmpNextEndDate; // computed next end date (with post ID)

    // 'movePage' div
    var navigateDiv = document.getElementById("navigatePage");
    var navigateHTML = "<div class='navigatePage'>";
    navigateHTML += "<span class='" + (morePostsBefore ? "movePage" : "hiddenMovePage") + "'>";
    navigateHTML += "<a href='?enddate=" + prevEndDate + "'><-- Prev</a> </span> &nbsp &nbsp";
    navigateHTML += "<span class='" + (morePostsAfter ? "movePage" : "hiddenMovePage") + "'>";
    navigateHTML += "<a href='?enddate=" + nextEndDate + "'>Next --></a> </span>";
    navigateHTML += "</div>";
    navigateDiv.innerHTML = navigateHTML;
  }
}
