<?php
$pathToBlog = "../";

$hKeyword = isset($_GET["keyword"]);

$searchText = "";
if (isset($_GET["search"])) $searchText = $_GET["search"];

$nextYear = intval(date("Y")) + 1;
$defaultEndDate = $nextYear."-01-01:0";

// for navigation: references of previous, current and next end dates

if (isset($_GET["enddate"])) $endDate = $_GET["enddate"];
else $endDate = $defaultEndDate;

if (isset($_GET["prevnextdate"])) $prevEndDate = $_GET["prevenddate"];
else $prevEndDate = $defaultEndDate; // unknown

if (isset($_GET["nextenddate"])) $nextEndDate = $_GET["nextenddate"];
else $nextEndDate = $defaultEndDate; // unknown
?>

<!DOCTYPE HTML>

<html>

<head>

  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

  <title>Search request</title>
  
  <link href="../style/shared.css" rel="stylesheet" type="text/css"/>
  <link href="../style/search.css" rel="stylesheet" type="text/css"/>
  
  <?php include($pathToBlog."style/variables.js");?>
  <script src="../javas/widths.js" type="text/javascript"></script>
  <script src="./index.ajax.js" type="text/javascript"></script>

  <script type="text/javascript">
    var prevEndDate = "<?php echo $prevEndDate; ?>";
    var endDate = "<?php echo $endDate; ?>";
    var nextEndDate = "<?php echo $nextEndDate; ?>";
  </script>

</head>

<body onLoad="adjustWidths()<?php if ($searchText != "") echo ";searchText()" ?>">

<div id='main'> 

  <div id="title">
    <span id="mainTitle">Search request</span>
  </div>

  <div id='text'> 

    <div id='innerText'>

      <div id="searchParams">

        <form id="searchParamsForm" name="searchParamsForm">

          <p>
            <label for="searchTextField">Search what ?</label><br/>
            <input type="text" id="searchText" name="searchText" class="textField" 
                   size=50 <?php if ($searchText != "") echo "value='".$searchText."'"; ?> />
          </p>

          <p>
            <label for="searchTillWhenField">Until when (yyyy-mm-dd) ?</label><br/>
            <input type="text" id="searchTillWhen" name="searchTillWhen" class="textField" 
                   value="<?php echo strstr($endDate, ":", TRUE); ?>" size=50/>
          </p>

          <p>
            <label for="resultsPerPageField">Results per page</label><br/>
            <input type="text" id="resultsPerPage" name="resultsPerPage" class="textField" value="10" size=50/>
          </p>

          <p>
            <input type="button" class="validateButton" id="launchSearch" value="Search" onClick="searchForText()"/>
          </p>

          <p>
            <label for="checkboxSearch">Search in posts</label>
            <input type="checkbox" id="checkboxPosts" <?php if ($hKeyword == "") echo "checked='checked'"; ?>/>
            <br/>
            <label for="checkboxSearch">Search in titles</label>
            <input type="checkbox" id="checkboxTitles" <?php if ($hKeyword == "") echo "checked='checked'"; ?>/>
            <br/>
            <label for="checkboxSearch">Search in keywords</label>
            <input type="checkbox" id="checkboxKeywords" <?php if ($hKeyword != "") echo "checked='checked'"; ?>/>
            <br/>
            <label for="checkboxSearch">Search in comments</label>
            <input type="checkbox" id="checkboxComments"/>
          </p>

        </form>

      </div>

      <div id="searchResults">
      </div>

      <div id="navigatePage">
      </div>

    </div>

  </div>

  <div id="footer">
  <?php include($pathToBlog."elems/footer"); ?>
  </div>

  <div id="clearer"> </div> 

</div>

</body>

</html>
